@keyframes blink {
  0% {opacity:1;}
  49% {opacity:1;}
  50% {opacity:0;}
  100% {opacity:0;}
  }

body {
  background-color:#252524;
  font-family: 'Courier New', monospace;

  /*width:auto;*/
}

.tree{
  --spacing : 1.5rem;
  --radius  : 10px;
  font-family: 'Courier New', monospace;
  color: #de2828;
  text-shadow:none;
  letter-spacing: 1px;
  background: transparent;
  text-transform: none;
  border: none;
  font-size: 30px;
}

.tree a{
  /*font-weight: bold;*/
  text-decoration: none;
  color: #de2828;
  font-size: 30px;
  text-decoration: underline;
  /*text-transform: uppercase;*/
}

.tree li{
  display      : block;
  position     : relative;
  padding-left : calc(2 * var(--spacing) - var(--radius) - 2px);
}

.tree ul{
  margin-left  : calc(var(--radius) - var(--spacing));
  padding-left : 0;
}

.tree ul li{
  border-left : 2px solid #ddd;
}

.tree ul li:last-child{
  border-color : transparent;
}

.tree ul li::before{
  content      : '';
  display      : block;
  position     : absolute;
  top          : calc(var(--spacing) / -2);
  left         : -2px;
  width        : calc(var(--spacing) + 2px);
  height       : calc(var(--spacing) + 1px);
  border       : solid #ddd;
  border-width : 0 0 2px 2px;
  color: #de2828;
}

.tree summary{
  display : block;
  cursor  : pointer;
}

.tree summary::marker,
.tree summary::-webkit-details-marker{
  display : none;
}

.tree summary:focus{
  outline : none;
  font-weight: bold;
}

.tree summary:focus-visible{
  outline : 1px dotted #38b32e;
}

.tree li::after,
.tree summary::before{
  /*content       : '';*/
  display       : block;
  position      : absolute;
  top           : calc(var(--spacing) / 2 - var(--radius));
  left          : calc(var(--spacing) - var(--radius) - 1px);
  width         : calc(2 * var(--radius));
  height        : calc(2 * var(--radius));
  border-radius : 100%;
  background    : #ddd;
  
  
  
}

.tree summary::before{
  /*content     : '+';*/
  z-index     : 1;
  background  : #de2828;
  color       : #fff;
  line-height : calc(2 * var(--radius) - 2px);
  text-align  : center;
  
}

/*.tree details[open] > summary::before{
  content : '−';
}*/

.appList{
  left: 0px;
  margin: 0px;
}

#topbar {
  position:relative;
  width:99%;
  height:30px;
  background:#d7d7d7;
  border:1px solid #222;
  border-width: 1px 0 1px 0;
  color:#222;
  text-shadow:0 1px #ededed;
  font-size:20px;
  line-height:28px;
  box-shadow:inset 0 1px #ededed;
}

#topbar:before {
  float:right;
  margin-right:5%;
  content:'13:37';
  font-weight: bold;
}

#terminal-container{
  left:50%;
}

#terminal {
  position:fixed;
  top:5%;
  left: 34%;
  margin:0 auto;
  width:64%;
  height:91%;
  background:#d7d7d7;
  border-radius:2px;
  border:1px solid #222;
  box-shadow:1px 1px #222,
    inset 1px 1px #fff;
  text-shadow:0 1px #ededed;
}



.terminal-after{
  position:absolute;
  top:6px;
  left:97%;
  width:16px;
  height:16px;
  background:#f60536;
  border:1px solid #222;
  box-shadow:inset 1px 1px #fff,
    1px 1px #fff;
  content:'Close';
}

#window {
  position:absolute;
  padding:10px 20px;
  top:30px;
  left:1%;
  width:98%;
  height:95%;
  background:#131312;
  box-shadow:-1px -1px #b4b4b5,
    1px 1px #fff;
  font-size:25px;
  color:#f59808;
  content:'';
  text-shadow:none;
}

#header {
  color:#222;
  text-align:center;
  line-height:28px;
  font-size:20px;
  font-weight: bold;
}

* {
  box-sizing: border-box;
}

p {
  font-family: monospace;
  font-weight: bold;
  font-size: 4.1vh;
  margin: 0;
  padding: 0;
  line-height: 1;
  color: #de2828;
  text-shadow: 0px 0px 10px #000;
}

.msg {
  font-family: monospace;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 5vh;
  padding-top: 5vh;
  background: red;
  box-shadow: 0 0 30px red;
  text-shadow: 0 0 20px white;
  color: white;
  width: 20%;
  height: 15vh;
  position: absolute;
  left: 50%;
  margin-left: -10vw;
  top: 50%;
  margin-top: -5vh;
  text-align: center;
  min-width: 200px;
  animation-name: blink;
  animation-duration: 0.6s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: linear;
}


#header h1{
  color:#222;
  text-align:center;
  line-height:28px;
  font-size:20px;
  margin-top: 0px;
  font-weight: bold;
}

#hackerName, #clear {
  opacity:0;
  font-weight: bold;
}

cursor1, cursor2 {
  animation-duration: 1s;
  animation-name: blink;
  animation-iteration-count: infinite;
}


  
.output-console {
  position: relative;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  height: 50px;
    width:10%;
    left:5px;
    font-size:25px;
    color:#5fbb46;
    /*overflow:hidden;*/
}
p{margin:0}




